# Ogre::Profiler::ProfileFrame Struct Reference

Represents the total timing information of a profile since profiles can be called more than once each frame. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Attributes

String | name
| The name of the profile.
ulong | frameTime
| The total time this profile has taken this frame.
uint | calls
| The number of times this profile was called this frame.
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the main loop.

## Detailed Description

Represents the total timing information of a profile since profiles can be called more than once each frame.

Definition at line 341 of file OgreProfiler.h.

## Member Data Documentation

uint Ogre::Profiler::ProfileFrame::calls

The number of times this profile was called this frame.

Definition at line 350 of file OgreProfiler.h.

ulong Ogre::Profiler::ProfileFrame::frameTime

The total time this profile has taken this frame.

Definition at line 347 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileFrame::hierarchicalLvl

The hierarchical level of this profile, 0 being the main loop.

Definition at line 353 of file OgreProfiler.h.

String Ogre::Profiler::ProfileFrame::name

The name of the profile.

Definition at line 344 of file OgreProfiler.h.

The documentation for this struct was generated from the following file:

- OgreProfiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58